Bug 8750 - Chronological terms authorities not correctly indexed
Summary: Chronological terms authorities not correctly indexed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 18:23 UTC by Tomás Cohen Arazi
Modified: 2013-12-05 20:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8750 - Chronological terms authorities not correctly indexed (2.42 KB, patch)
2012-09-10 18:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8750 - Chronological terms authorities not correctly indexed (trivial fix) (2.45 KB, patch)
2012-10-26 00:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8750 - Chronological terms authorities not correctly indexed (trivial fix) (2.51 KB, patch)
2012-10-31 17:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2012-09-10 18:23:39 UTC
There's no entry in authority's record.abs for indexing chronological terms. They cannot be searched and (obviously) linked.
Comment 1 Tomás Cohen Arazi 2012-09-10 18:30:21 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2012-09-10 18:44:06 UTC
Note: this is not an issue if using DOM for authorities.

To test,

1- Add a Chronological term in your authorities.
2- Reindex them or wait for your cron/daemon to do it.
3- Search for your chronologicla term (wont find it).
4- Apply this patch.
5- Restart your zebrasrv.
6- Reindex & search for your chronological term.
Comment 3 Joy Nelson 2012-09-11 21:44:49 UTC
I attempted to sign off on this patch.  I first tried searching for authority records on master and was unable to retrieve any authority records.  (I can search for authority records on 3.8.4)  

More testing required on this patch.
Comment 4 Tomás Cohen Arazi 2012-09-12 12:38:05 UTC
(In reply to comment #3)
> I attempted to sign off on this patch.  I first tried searching for
> authority records on master and was unable to retrieve any authority
> records.  (I can search for authority records on 3.8.4)  

Are you sure the zebra daemon started properly?
Comment 5 Jared Camins-Esakov 2012-09-12 12:42:19 UTC
I can't test this at the moment, but it is worth noting that there are several implied steps for testing this patch:
1) apply patch
2) rerun Makefile.PL to choose GRS-1 indexing for authorities
3) update Zebra configuration files by running make && make install
4) reindex zebra using rebuild_zebra.pl -a -r
5) search for chronological term
Comment 6 Joy Nelson 2012-09-12 13:32:39 UTC
Valid point!  I'm testing on my local install and assumed it was running, I will double check and retest.  Thanks!

> Are you sure the zebra daemon started properly?
Comment 7 Tomás Cohen Arazi 2012-10-26 00:44:02 UTC Comment hidden (obsolete)
Comment 8 Tomás Cohen Arazi 2012-10-29 00:12:17 UTC
This bug is important for people still using GRS-1 as binding Chronological Terms authority records to biblios is impossible right now.
Comment 9 Jared Camins-Esakov 2012-10-31 17:14:36 UTC
Created attachment 13149 [details] [review]
Bug 8750 - Chronological terms authorities not correctly indexed (trivial fix)

Patch re-done so it applies, had that double-utf8 problem

There was no entry in authority's record.abs for indexing chronological
terms. They couldn't be searched and (obviously) linked.

I've added those entries using the index names defined in
authorities/etc/bib1.att

Regards
To+

Sponsored-by: Universidad Nacional de Córdoba
Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 10 Paul Poulain 2012-11-12 17:25:09 UTC
QA comment: 
 * small patch, MARC21 only
 * shouldn't we have the same patch for NORMARC ? (adding magnus)
 * shouldn't we also address DOM indexing ? (biblio-koha-indexdefs.xml and  biblio-zebra-indexdefs.xsl)

not updating QA status until i've an answer to those questions
Comment 11 Jared Camins-Esakov 2012-11-12 17:32:25 UTC
(In reply to comment #10)
> QA comment: 
>  * small patch, MARC21 only
>  * shouldn't we have the same patch for NORMARC ? (adding magnus)
>  * shouldn't we also address DOM indexing ? (biblio-koha-indexdefs.xml and 
> biblio-zebra-indexdefs.xsl)
> 
> not updating QA status until i've an answer to those questions

NORMARC does not yet have an authority configuration, and MARC21 DOM files already include this.
Comment 12 Tomás Cohen Arazi 2012-11-12 17:34:18 UTC
(In reply to comment #10)
> QA comment: 
>  * small patch, MARC21 only
>  * shouldn't we have the same patch for NORMARC ? (adding magnus)
>  * shouldn't we also address DOM indexing ? (biblio-koha-indexdefs.xml and 
> biblio-zebra-indexdefs.xsl)
> 
> not updating QA status until i've an answer to those questions

DOM indexing already has those indexes defined. I know nothing about NORMARC, sorry.
Comment 13 Paul Poulain 2012-11-19 16:58:50 UTC
answers to my question OK, passed QA
Comment 14 Jared Camins-Esakov 2012-11-20 12:36:17 UTC
This patch has been pushed to master.
Comment 15 Paul Poulain 2012-11-20 15:26:43 UTC
Patch pushed to branch 3.10.x
Comment 16 Chris Cormack 2013-04-23 09:45:55 UTC
Released in 3.10.0